package ee.ut.ga.tools;

import ee.ut.ga.business.GeneticAlgorithm;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

/**
 * Genetic Algorithm for the Discovery of DNA Regulatory Elements.
 * @author Anton Stalnuhhin (a30858@math.ut.ee)
 */
public class StartGA {
  public static Logger log = Logger.getLogger(StartGA.class);
  
  public static void main(String[] args) throws Exception {
    BasicConfigurator.configure();
    GeneticAlgorithm ga = new GeneticAlgorithm(args[0]);
    
		while(true) {
      ga.generation();
		}
	}
}
